import schedule
import time

from xssy_channel.cljx_nrxs import CLJX
# from data_channel.qpl_ks import QplKs
from xssy_channel.dy_nrxs import DYNrxs


def video_start_ks():
    print("快手任务开始...")

    try:
        CLJX.get_nrxs()
        print("快手任务成功完成")
    except Exception as e:
        print(f"快手任务执行过程中发生错误: {e}")
    print("快手任务结束")

def video_start_dy():
    print("抖音任务开始...")

    try:
        DYNrxs.get_dy_nrxs()
        print("抖音任务成功完成")
    except Exception as e:
        print(f"抖音任务执行过程中发生错误: {e}")

    print("抖音任务结束")

# 每天早上 6 点执行
schedule.every().day.at("06:00").do(video_start_ks)
schedule.every().day.at("07:00").do(video_start_dy)

while True:
    schedule.run_pending()
    time.sleep(1)