import schedule
import time
from common.redis import del_dyss_redis_key


def redis_bot():
    # 定义需要处理的计数列表
    # lists = ['dyss-count', 'ss-sph-count', 'sph-count']
    lists = ['dyss-count', 'ss-sph-count', 'sph-count', 'ksss-count']
    print("开始执行")
    # 遍历列表，删除对应的 Redis 键
    for mark_count in lists:
        print(mark_count)  # 打印当前处理的计数类型
        time.sleep(5)
        del_dyss_redis_key(mark_count)  # 调用函数删除 Redis 键
    print("执行结束")
# 每天零点10分
schedule.every().day.at("00:10").do(redis_bot)
while True:
    schedule.run_pending()
    time.sleep(1)