from common import AliyunLogger
from common.sql_help import sqlCollect


class SPHFeed:
    @classmethod
    def get_feed_date(cls):
        try:
            data_list = sqlCollect.get_feed_data("视频号")
            list = []
            if data_list:
                for data in data_list:
                    cover_url = data[3]
                    video_url = data[2]
                    if video_url and cover_url:
                        video_id = data[0]
                        channel = data[1]
                        title = data[4]
                        log_data = f"user:{channel},,video_id:{video_id},,video_url:{video_url},,original_title:{title}"
                        AliyunLogger.logging(channel, channel, video_url, video_id, "扫描到一条视频",
                                             "2001", log_data)
                        AliyunLogger.logging(channel, channel, video_url, video_id, "符合规则等待改造",
                                             "2004", log_data)
                        all_data = {"video_id": video_id, "cover": cover_url, "video_url": video_url, "old_title": title, "rule":''}
                        list.append(all_data)
                return list
            else:
                return list
        except Exception:
            return list


if __name__ == '__main__':
    SPHFeed.get_feed_date()