
import time
from common import Material
from common.sql_help import sqlCollect

from video_rewriting.video_processor import VideoProcessor
def video_task_start():
    """处理视频任务，返回用户名并根据结果决定延迟时间"""
    data = Material.feishu_list()[17]
    while True:
        try:
            count = sqlCollect.get_feed_count("视频号推荐流")
            count = int(count[0][0])
            sheet_count = Material.get_count_restrict("视频号推荐流")
            if sheet_count:
                if count >= int(sheet_count):
                    print(f"到了限制数{count}")
                    time.sleep(3600)
                    continue
            print("开始执行任务")
            mark = VideoProcessor.main(data)
            print(f"返回用户名: {mark}")
            time.sleep(120 if mark else 120)  # 根据 mark 是否为空设置延迟
        except Exception as e:
            print("处理任务时出现异常:", e)
            time.sleep(10)
            continue
if __name__ == '__main__':
    video_task_start()
